package md

type VipEquitySettingStruct struct {
	VipLevelId                string `json:"vip_level_id"`                 //会员等级id
	ExchangeAccountBalanceFee string `json:"exchange_account_balance_fee"` //兑换余额手续费
	DividendRatio             string `json:"dividend_ratio"`               //分红比例
}

type TeamRewardSettingStruct struct {
	RewardDecrementValue          string `json:"reward_decrement_value"`              //递减百分比
	RewardEndValue                string `json:"reward_end_value"`                    //奖励结束值
	MemberSelfIsOpenGetTeamReward string `json:"member_self_is_open_get_team_reward"` //会员是否活跃得到团队奖励
	OneRoundDuration              string `json:"one_round_duration"`                  //一轮持续时间
}

type SignInRewardStruct struct {
	VipMemberStartNums string `json:"vip_member_start_nums"` //会员起始数量
	VipMemberEndNums   string `json:"vip_member_end_nums"`   //会员结束数量
	RewardValue        string `json:"reward_value"`          //奖励值
}

type DestructionSettingStruct struct {
	DestructionQuantity     string `json:"destruction_quantity"`       //销毁百分比
	PublicWelfareAndCharity string `json:"public_welfare_and_charity"` //公益慈善百分比
	DevelopmentCommittee    string `json:"development_committee"`      //发展委员会百分比
	StarLevelDividends      string `json:"star_level_dividends"`       //星级分红百分比
	MarketplaceMerchant     string `json:"marketplace_merchant"`       //市商数量百分比
}

const DealUserCoinRequestIdPrefix = "%s:one_circles_green_energy_deal_user_coin:%d:uid:%d"
